slepc-3.21.1 2024-04-26
Report Typos and Errors

# NEPNLEIGSSetRestart

Sets the restart parameter for the NLEIGS method, in particular the proportion of basis vectors that must be kept after restart.

### Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPNLEIGSSetRestart(NEP nep,PetscReal keep)

Logically Collective

### Input Parameters

| nep | - the nonlinear eigensolver context
| keep | - the number of vectors to be kept at restart

### Options Database Key

| -nep_nleigs_restart | - Sets the restart parameter

### Notes

Allowed values are in the range [0.1,0.9]. The default is 0.5.

### See Also

NEPNLEIGSGetRestart()

### Level

advanced

### Location

src/nep/impls/nleigs/nleigs.c
Index of all NEP routines
Table of Contents for all manual pages
Index of all manual pages